<%@ Language=VBScript %>
<html>
	<head>
		<title>DNS Query</title>
		<link href="cleverstyle.css" type="text/css" rel="stylesheet">
	</head>
	<body>
		<h1>DNS Query</h1>
		<form id="formpost" name="formpost" method="POST" action="dnsquery.asp">
			<table width="80%" border="0" cellspacing="5">
				<tr>
					<td>Server</td>
					<td><input type="text" id="edtServer" name="edtServer" style="width:100%"
						value="<% =Request.Form("edtServer") %>"></td>
				</tr>
				<tr>
					<td>Name to resolve</td>
					<td><input type="text" id="edtName" name="edtName" style="width:100%"
						value="<% =Request.Form("edtName") %>"></td>
				</tr>
				<tr>
					<td>Query type</td>
					<td>
						<select id="cbType" name="cbType">
							<option value="MX">MX (mail servers)</option>
							<option value="A">A (IP addresses)</option>
							<option value="PTR">PTR (host names)</option>
							<option value="NS">NS (name servers)</option>
						</select>
					</td>
				</tr>
				<tr>
					<td></td>
					<td align="right"><input type="submit" id="btnResolve" name="btnResolve" value="Resolve"></td>
				</tr>
			</table>
		</form>
<%
	If Request("REQUEST_METHOD") = "POST" Then
		Set dns = Server.CreateObject("clInetSuiteX7.clDnsQuery")

		dns.Server = Request.Form("edtServer")


		Select Case Request.Form("cbType")
			Case "MX" dns.ResolveMX Request.Form("edtName")
			Case "A" dns.ResolveIP Request.Form("edtName")
			Case "PTR" dns.ResolveHost Request.Form("edtName")
			Case "NS" dns.ResolveNS Request.Form("edtName")
		End Select
%>
	<p>
<%
		If dns.MailServers.Count > 0 Then
			Response.Write "<b>Mail Servers:</b><br/>"
		End If

		For i = 0 To dns.MailServers.Count - 1
			Set mx = dns.MailServers.Item(i)

			Response.Write CStr(mx.Preference) & " - " & mx.Name & " - " & mx.IPAddress & "<br/>"
		Next
%>
	</p>

	<p>
<%
		If dns.Hosts.Count > 0 Then
			Response.Write "<b>Hosts:</b><br/>"
		End If

		For i = 0 To dns.Hosts.Count - 1
			Set host = dns.Hosts.Item(i)

			Response.Write host.Name & " - " & host.IPAddress & "<br/>"
		Next
%>
	</p>

	<p>
<%
		If dns.NameServers.Count > 0 Then
			Response.Write "<b>Name Servers:</b><br/>"
		End If

		For i = 0 To dns.NameServers.Count - 1
			Response.Write dns.NameServers.Item(i) & "<br/>"
		Next
%>
	</p>

	<p>
<%
		If dns.Aliases.Count > 0 Then
			Response.Write "<b>Aliases:</b><br/>"
		End If

		For i = 0 To dns.Aliases.Count - 1
			Response.Write dns.Aliases.Item(i) & "<br/>"
		Next
%>
	</p>

<%
	End If
%>
	</body>
</html>